<?php
namespace Mihanwp\FastCheckout\App\Controller;

use Mihanwp\FastCheckout\App\Helpers\Phone;
use Mihanwp\FastCheckout\App\Model\Order as ModelOrder;
use Mihanwp\FastCheckout\App\Model\User as ModelUser;

class Orders
{
    static function handleFastCheckoutOrderAfterCompleted($orderID, $order)
    {
        if(!ModelOrder::isFastCheckoutOrder($orderID))
        {
            return;
        }
        // check is has customer data
        if($order->get_customer_id())
        {
            return;
        }

        $phone = Phone::validatePhone($order->get_billing_phone());
        if(!$phone)
        {
            return;
        }
        $userData = ModelUser::getUserByPhone($phone);
        if($userData)
        {
            $order->set_customer_id($userData->ID);
            $order->save();
            return;
        }
        
        if(\Mihanwp\FastCheckout\App\Helpers\Tools::checkIsMihanPanelProActive())
        {
            $newUserID = ModelUser::createUserWithPhone($phone);
            if(is_wp_error($newUserID))
            {
                return;
            }
            $order->set_customer_id($newUserID);
            $order->save();
        }
    }
    static function addIsFastCheckoutColumnInAdmin($columns)
    {
        $new = [];
        foreach($columns as $key => $column)
        {
            $new[$key] = $column;
            if($key === 'order_status')
            {
                $new['is_fast_checkout'] = __('Fast checkout form', 'aani_woocommerce');
            }
        }
        return $new;
    }
    static function handleIsFastCheckoutColumnValueInAdmin($column, $postID)
    {
        if($column !== 'is_fast_checkout')
        {
            return false;
        }
        if(ModelOrder::isFastCheckoutOrder($postID))
        {
            ?>
            <span style="background-color: #91db91;color: #0a530a;padding: 8px 15px;border-radius: 7px;"><?php esc_html_e('Fast checkout form', 'aani_woocommerce')?></span>
            <?php
        }
    }
    static function addShopOrderIsFastCheckoutMetaBox()
    {
        add_meta_box('is_fast_checkout_metabox', __('Is fast checkout?', 'aani_woocommerce'), [__CLASS__, 'handleIsFastCheckoutMetaBox'], null, 'side', 'high');
    }
    static function handleIsFastCheckoutMetaBox($order)
    {
        if(ModelOrder::isFastCheckoutOrder($order->ID))
        {
            ?>
            <span style="display: block;background-color: #91db91;color: #0a530a;padding: 8px 15px;border-radius: 7px;"><?php esc_html_e('Used fast checkout form', 'aani_woocommerce')?></span>
            <?php
        }else{
            ?>
            <span style="display: block;background-color: #e6b3b3;color: #440808;padding: 8px 15px;border-radius: 7px;"><?php esc_html_e('Not used fast checkout form', 'aani_woocommerce')?></span>
            <?php
        }
    }
}