jQuery(document).ready(function ($) {
    let shortcodeModalWrapper = $('.mwfc-shortcode-modal-wrapper')
    function openModal() {
        setTimeout(() => {
            shortcodeModalWrapper.addClass('open')
            shortcodeModalWrapper.show()
        }, 300);
        
    }
    function closeModal() {
        shortcodeModalWrapper.removeClass('open')
        shortcodeModalWrapper.hide()
    }
    function Notice(msg) {
        let noticeBox = $('#mwfc-notice-box'),
            notice = $('<span>')
        notice.text(msg)
        notice.addClass('notice-item')
        noticeBox.html(notice)
        setTimeout(() => {
            notice.remove()
        }, 2000);
    }
    function copy(value) {
        let tmp = $('<input />')
        tmp.val(value)
        $('body').append(tmp)
        tmp.select()
        document.execCommand('copy')
        tmp.remove()
    }
    function renderShortcode() {
        let gatewayField = shortcodeModalWrapper.find('input[name=mwfc_form_gateway]:checked'),
            checkoutBtnTextField = shortcodeModalWrapper.find('input[name=checkout_btn_text]'),
            invoiceAmountTextField = shortcodeModalWrapper.find('input[name=invoice_amount_text_field]'),
            orderQty = shortcodeModalWrapper.find('input[name=order_qty_value]')

        let shortcodeText = '[mw_aani_checkout qty pid gateway invoice_payment_amount_text checkout_text]'
        shortcodeText = shortcodeText.replace('pid', 'pid="' + shortcodeModalWrapper.attr('pid') + '"')
        shortcodeText = shortcodeText.replace('gateway', 'gateway="' + gatewayField.val() + '"')
        shortcodeText = shortcodeText.replace('checkout_text', 'checkout_text="' + checkoutBtnTextField.val() + '"')
        shortcodeText = shortcodeText.replace('invoice_payment_amount_text', 'invoice_payment_amount_text="'+invoiceAmountTextField.val()+'"')
        shortcodeText = shortcodeText.replace('qty', 'qty="'+orderQty.val()+'"')
        $('#short-code-value-wrapper').text(shortcodeText)
    }

    $('#mwfc-shortcode-btn').on('click', function (e) {
        openModal()
        renderShortcode()
    })
    $('#short-code-value-wrapper').on('click', function (e) {
        copy($(this).text())
        Notice(mwfc_data.messages.copy_done)
    })
    shortcodeModalWrapper.find('input').on('change', function (e) {
        renderShortcode()
    })
    shortcodeModalWrapper.find('.close-btn').on('click', function (e) {
        closeModal()
    })
    shortcodeModalWrapper.find('.modal-box').on('click', function (e) {
        closeModal()
    })
})