<?php $formUniqueID = sprintf('%s-', uniqid('aani-pay')); ?>
<div class="fast-checkout-wrapper">
    <?php if (!\Mihanwp\FastCheckout\App\Helpers\Tools::checkIsMihanPanelProActive() && is_user_logged_in() && user_can(get_current_user_id(), 'manage_options')) : ?>
        <div class="fc-notice">
            <span><?php printf('<b>%s: </b>%s', sprintf(__("Dear %s", 'aani_woocommerce'), wp_get_current_user()->display_name), __('Please note that if MihanPanel Pro plugin is not installed on your site, orders will be registered as a guest user and no account will be created for new users.', 'aani_woocommerce')); ?></span>
        </div>
    <?php endif; ?>
    <div class="fast-checkout-box-wrapper">
        <div class="form-title"></div>
        <div class="fc-invoice-preview">
            <div class="title-section">
                <div class="title"><?php echo $product->get_name(); ?></div>
                <div class="description"><?php echo $product->get_short_description(); ?></div>
            </div>
            <div class="price-section">
                <?php if ($regularPrice = $product->get_regular_price()) : ?>
                    <?php if ($product->is_on_sale()) : ?>
                        <span class="del-value">
                            <span class="price-value"><?php echo \Mihanwp\FastCheckout\App\Helpers\Number::priceFormat($regularPrice); ?></span>
                            <span class="currency"><?php echo get_woocommerce_currency_symbol() ?></span>
                        </span>
                        <div class="price">
                            <?php if ($product->get_sale_price() == 0) : ?>
                                <span class="price-value"><?php _e('Free', 'aani_woocommerce') ?></span>
                            <?php else : ?>
                                <span class="price-value"><?php echo \Mihanwp\FastCheckout\App\Helpers\Number::priceFormat($product->get_price()); ?></span>
                                <span class="currency"><?php echo get_woocommerce_currency_symbol() ?></span>
                            <?php endif; ?>
                        </div>
                    <?php else : ?>
                        <div class="price">
                            <span class="price-value"><?php echo \Mihanwp\FastCheckout\App\Helpers\Number::priceFormat($regularPrice); ?></span>
                            <span class="currency"><?php echo get_woocommerce_currency_symbol() ?></span>
                        </div>
                    <?php endif; ?>
                <?php else : ?>
                    <div class="price">
                        <span class="price-value"><?php _e('Free', 'aani_woocommerce') ?></span>
                    </div>
                <?php endif; ?>
                <div class="form-description"><?php echo $invoiceAmountText; ?></div>
            </div>
        </div>
        <form method="post" class="fast-checkout-wrapper" mwqp-qty="<?php echo isset($qty) ? esc_attr(intval($qty)) : 1;?>" mwqp-nonce="<?php echo esc_attr($nonce) ?>" gateway="<?php echo esc_attr($gateway) ?>" pid="<?php echo esc_attr($product->get_id()); ?>">
            <div class="input-item top-margin">
                <div class="input">
                    <input id="<?php echo esc_attr(sprintf('%s-phone', $formUniqueID))?>" type="text" name="phone-number" placeholder=" " placeholders="<?php esc_html_e('Phone Number', 'aani_woocommerce') ?>">
                    <label for="<?php echo esc_attr(sprintf('%s-phone', $formUniqueID))?>"><?php esc_html_e('Phone Number', 'aani_woocommerce') ?></label>
                </div>
            </div>
            <div class="input-item top-margin">
                <div class="input">
                    <input id="<?php echo esc_attr(sprintf('%s-name', $formUniqueID))?>" type="text" placeholder=" " name="name" placeholders="<?php esc_html_e('First Name / Last Name', 'aani_woocommerce') ?>">
                    <label for="<?php echo esc_attr(sprintf('%s-name', $formUniqueID))?>"><?php esc_html_e('First Name / Last Name', 'aani_woocommerce') ?></label>
                </div>
            </div>
            <div class="input-item">
                <span class="notice-box"></span>
                <button class="mw_fast_checkout_pay_btn"><span class="title"><?php echo $cehckoutBtnText; ?></span><span class="icon"><span class="dashicons dashicons-arrow-left-alt2"></span></span></button>
            </div>
        </form>
    </div>
</div>